/****
	*	@Project	:	Text Manager for CP300
	*	@COpyright	:	2004 Na-Prod.com
	*	@File		:	TextDocument.h	
	*	@Author(s)	:	Superna@na-prod.com
	*				:	
	*				:	
	*	@Synopsys	:	Text Document Handler
	*
****/

#ifndef __TEXTDOCUMENT_H__
#define __TEXTDOCUMENT_H__

#include "cfc.h"
#include "Text.h"

namespace nsDoc
{
    class TextDocument : public CPDocument
    {
        protected:
            CPString Name;
            CPString Folder;
            Text m_text;
            unsigned int IsSaved;
            
        public:
            TextDocument(CPMainFrame * frame);
            
         	char * ReadNew();
            void SaveIt();
            void SaveAs();
            void New();
            
            void Read(CPReadFile &f);
            void Write(CPWriteFile &f);
            
            char * getName() {return Name.GetBuffer();};
            char * getFolder() {return Folder.GetBuffer();};
            char * getText(){return m_text.getText();};
            
            void setText(char * Text) {m_text.setText(Text);};
            
            virtual WORD DocType() {return 0;}
            virtual WORD Version() {return 1;}
            
	}; //Class TextDocument
}//namespace nsDoc    

#endif /* __TEXTDOCUMENT_H__ */
