/****
	*	@Project	:	Text Manager for CP300
	*	@COpyright	:	2004 Na-Prod.com
	*	@File		:	TextWindow.h	
	*	@Author(s)	:	Superna@na-prod.com
	*				:	
	*				:	
	*	@Synopsys	:	Window Handler
	*
****/

#ifndef __TEXTWINDOW_H__
#define __TEXTWINDOW_H__

#include "cfc.h"
#include "TextDocument.h"
#include "TextEditor.h"

#define TB_BUT_NEW 		2001
#define TB_BUT_CLOSE 	2002
#define TB_BUT_OPEN 	2003
#define TB_BUT_SAVE 	2004

#define ID_MENU_ABOUT 	2201
#define ID_MENU_RESET 	TB_BUT_CLOSE
#define ID_MENU_OPEN 	TB_BUT_OPEN
#define ID_MENU_SAVE 	TB_BUT_SAVE
#define ID_MENU_SAVEAS 	2005

#define ID_MENU_SELECTALL	2101
#define ID_MENU_CUT		2102
#define ID_MENU_COPY	2103
#define ID_MENU_PASTE	2104

namespace nsWin
{
    class TextWindow : public CPModuleWindow
    {
        protected:
            void Init();
            PegEditBox * m_text;
            void StatusBar();
            nsDoc::TextDocument * Doc;
            
            static PegMenuDescriptionML MainMenu[];
            static PegMenuDescriptionML SubFile[];
            static PegMenuDescriptionML SubEdit[];
            static PegMenuDescriptionML SubHelp[];
            void AboutPopup(void);
            
        public:
			TextWindow(PegRect rect, nsDoc::TextDocument * doc, CPMainFrame * frame);
			void Draw();
			void AddUI();
			PegMenuDescriptionML* GetMenuDescriptionML();
			SIGNED Message(const PegMessage &Mesg);
 
 	}; //Class 
}//namespace nsWin   

#endif /* __TEXTWINDOW_H__ */
