#include "ClassPad.h"
#include "TextDocument.h"
#include "TextWindow.h"

extern int LibBuzzerOn(); 
extern int LibBuzzerOff(); 

//////////////////////////////////////////////////////////////////

void PegAppInitialize(PegPresentationManager *pPresentation)
{
	// create some simple Windows: 
	PegRect Rect;
	Rect.Set(MAINFRAME_LEFT, MAINFRAME_TOP, MAINFRAME_RIGHT, MAINFRAME_BOTTOM);

	CPMainFrame *mw = new CPMainFrame(Rect);

	nsDoc::TextDocument *doc = new nsDoc::TextDocument(mw);
	
	PegRect ChildRect = mw->FullAppRectangle();
	nsWin::TextWindow* win = new nsWin::TextWindow(ChildRect,doc,mw);
	mw->SetTopWindow(win);

	// Need to set a main window for this module.  In our case, it is the scribble window
	mw->SetMainWindow(win);

	pPresentation->Add(mw);
};


//////////////////////////////////////////////////////////////////

extern "C" char *ExtensionGetLang(ID_MESSAGE MessageNo)
{
	return "";
}

//////////////////////////////////////////////////////////////////
